| Classes - Annotated - Tree - Functions - Home - Structure

# QStoredDrag Class Reference

Simple stored-value drag object for arbitrary MIME data. More...

`#include <qdragobject.h>`

Inherits QDragObject.

Inherited by QColorDrag and QUriDrag.

List of all member functions.

## Public Members

- QStoredDrag ( const char * mimeType, QWidget * dragSource = 0, const char * name = 0 )
- ~QStoredDrag ()
- virtual void setEncodedData ( const QByteArray & )
- virtual QByteArray encodedData ( const char * ) const

## Detailed Description

Simple stored-value drag object for arbitrary MIME data.

When a block of data only has one representation, you can use a QStoredDrag to hold it.

For detailed information about drag-and-drop, see the QDragObject class.

## Member Function Documentation

### QStoredDrag::QStoredDrag ( const char * mimeType, QWidget * dragSource = 0, const char * name = 0 )

Constructs a QStoredDrag. The parameters are passed to the QDragObject constructor, and the format is set to mimeType.

The data will be unset. Use setEncodedData() to set it.

### QStoredDrag::~QStoredDrag ()

Destructs the drag object and frees up all allocated resources.

### QByteArray QStoredDrag::encodedData ( const char * m ) const `[virtual]`

Returns the stored data.

See also setEncodedData().

### const char * QStoredDrag::format ( int i ) const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QMimeSource.

### void QStoredDrag::setEncodedData ( const QByteArray & encodedData ) `[virtual]`

Sets the encoded data of this drag object to encodedData. The encoded data is what's delivered to the drop sites, and must be in a strictly defined and portable format.

The drag object can't be dropped (by the user) until this function has been called.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.